OpenVDB 12.1.0

Loading...
Searching...
No Matches
openvdb::v12_1::points::rasterize_sdf_internal Namespace Reference

## Classes
struct | EllipseIndicies
struct | EllipseSurfaceMaskOp
struct | EllipsoidTransfer

## Functions
math::Vec3d | calcUnitEllipsoidBoundMaxSq (const math::Mat3s &ellipsoidTransform)
math::Vec3d | calcEllipsoidBoundMax (const math::Mat3s &ellipsoidTransform)
template<typename PointDataGridT, typename SdfT, typename SettingsT>
GridPtrVec | rasterizeEllipsoids (const PointDataGridT &points, const SettingsT &settings, const typename SettingsT::FilterType &filter)

## Function Documentation

## ◆ calcEllipsoidBoundMax()

math::Vec3d calcEllipsoidBoundMax | ( | const math::Mat3s & | ellipsoidTransform | ) |
| inline

## ◆ calcUnitEllipsoidBoundMaxSq()

math::Vec3d calcUnitEllipsoidBoundMaxSq | ( | const math::Mat3s & | ellipsoidTransform | ) |
| inline

## ◆ rasterizeEllipsoids()

template<typename PointDataGridT, typename SdfT, typename SettingsT>

GridPtrVec rasterizeEllipsoids | ( | const PointDataGridT & | points,
|  | const SettingsT & | settings,
|  | const typename SettingsT::FilterType & | filter )